<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:1.0" name="subsystem.messaging-activemq.connection-factory">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="connectors,discovery-group,enable-amq1-prefix,entries,factory-type,ha,use-topology-for-load-balancing"/>
        <elem name="addr-params" value="profile,subsystem,connection-factory"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.messaging-activemq"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.messaging.activemq.external.connection-factory.$connection-factory"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.messaging.activemq.connector.external.$connectors" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.messaging-activemq"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="discovery-group" nillable="true"/>
        <param name="factory-type" nillable="true"/>
        <param name="connectors" nillable="true" type="List&lt;String&gt;"/>
        <param name="entries" type="List&lt;String&gt;"/>
        <param name="connection-factory" feature-id="true"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="messaging-activemq"/>
        <param name="ha" nillable="true"/>
        <param name="use-topology-for-load-balancing" nillable="true"/>
        <param name="enable-amq1-prefix" nillable="true"/>
    </params>
</feature-spec>